import 'package:flutter/material.dart';
import 'package:auto_size_text/auto_size_text.dart';

import 'package:anyway/main.dart';
import 'package:anyway/structs/trip.dart';


class saveButton extends StatefulWidget {
  Trip trip;
  saveButton({super.key, required this.trip});

  @override
  State<saveButton> createState() => _saveButtonState();
}

class _saveButtonState extends State<saveButton> {
  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
      onPressed: () async {
        savedTrips.addTrip(widget.trip);
        rootScaffoldMessengerKey.currentState!.showSnackBar(
          const SnackBar(
            content: Text('Trip saved'),
            duration: Duration(seconds: 2),
            dismissDirection: DismissDirection.horizontal
          )
        );
      },
      child: const SizedBox(
        width: 100,
        child: Row(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Icon(
              Icons.save,
            ),
            Expanded(
              child: Padding(
                padding: EdgeInsets.only(left: 10, top: 5, bottom: 5, right: 5),
                child: AutoSizeText(
                  'Save trip',
                  maxLines: 2,
                ),
              ),
            ),
          ],
        ),
      )
    );
  }
}
